---
lang: en
title: 'API docs: rest.redirectroute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.redirectroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RedirectRoute](./rest.redirectroute.md)

## RedirectRoute class

<b>Signature:</b>

```typescript
export declare class RedirectRoute implements RouteEntry, ResolvedRoute 
```
<b>Implements:</b> [RouteEntry](./rest.routeentry.md)<!-- -->, [ResolvedRoute](./rest.resolvedroute.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(sourcePath, targetLocation, statusCode)](./rest.redirectroute._constructor_.md) |  | Constructs a new instance of the <code>RedirectRoute</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [path](./rest.redirectroute.path.md) |  | string |  |
|  [pathParams](./rest.redirectroute.pathparams.md) |  | [PathParameterValues](./rest.pathparametervalues.md) |  |
|  [schemas](./rest.redirectroute.schemas.md) |  | SchemasObject |  |
|  [sourcePath](./rest.redirectroute.sourcepath.md) |  | string |  |
|  [spec](./rest.redirectroute.spec.md) |  | OperationObject |  |
|  [statusCode](./rest.redirectroute.statuscode.md) |  | number |  |
|  [targetLocation](./rest.redirectroute.targetlocation.md) |  | string |  |
|  [verb](./rest.redirectroute.verb.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [describe()](./rest.redirectroute.describe.md) |  |  |
|  [invokeHandler({ response }, args)](./rest.redirectroute.invokehandler.md) |  |  |
|  [isRedirectRoute(obj)](./rest.redirectroute.isredirectroute.md) | <code>static</code> | type guard type checker for this class |
|  [updateBindings(requestContext)](./rest.redirectroute.updatebindings.md) |  |  |


